h1{
    text-align: center;
    text-decoration: underline;
	color: #1338a0;
}
h2{
    text-decoration: underline;
}

body {
    margin: 4;
    background-image: url("https://www.elfinanciero.com.mx/resizer/a2NZlFVzi4AH5ZYl1b4Ox-3Gbas=/800x0/filters:format(jpg):quality(70)/cloudfront-us-east-1.images.arcpublishing.com/elfinanciero/3NRSB2LGNY2FBBW7IFE3VDKTYQ.jpg");
    background-position: left;
    background-size: cover;
    background-attachment: fixed;
}

* {
	box-sizing: border-box;
}


main { 
	max-width: 600px;
	width: 70%;
	margin: auto;
	padding: 40px;
    background: #E5E5E5;
}

h2{
	text-align: center;
}


.formulario__label {
	display: block;
	font-weight: 700;
	padding: 10px;
	cursor: pointer;
}

.formulario__grupo-input {
	position: relative;
}

.formulario__input {
	width: 100%;
	background: #fff;
	border: 3px solid transparent;
	border-radius: 3px;
	height: 45px;
	line-height: 45px;
	padding: 0 40px 0 10px;
	transition: .3s ease all;
}

.formulario__input:focus {
	outline: none;
	box-shadow: 3px 0px 30px rgba(194, 193, 193, 0.4);
}

.formulario__input-error {
	font-size: 12px;
	margin-bottom: 0;
	display: none;
}

.formulario__input-error-activo {
	display: block;
}

.formulario__validacion-estado {
	position: absolute;
	right: 10px;
	bottom: 15px;
	z-index: 100;
	font-size: 16px;
	opacity: 0;
}

.formulario__checkbox {
	margin-right: 10px;
}

.formulario__grupo-terminos, 
.formulario__mensaje,
.formulario__grupo-btn-enviar {
	grid-column: span 2;
}

.formulario__mensaje {
	height: 45px;
	line-height: 45px;
	padding: 0 15px;
	border-radius: 3px;
	display: none;
}

.formulario__mensaje-activo {
	display: block;
}

.formulario__mensaje p {
	margin: 0;
}

.formulario__grupo-btn-enviar {
	display: flex;
	flex-direction: column;
	align-items: center;
}

.formulario__btn {
	height: 45px;
	line-height: 45px;
	width: 30%;
	background: rgb(25, 107, 175);
	color: #fff;
	font-weight: bold;
	border: none;
	border-radius: 3px;
	cursor: pointer;
	transition: .1s ease all;
}

.formulario__btn:hover {
	box-shadow: 3px 0px 30px rgb(185, 184, 184);
}

.formulario__mensaje-exito {
	height: 45px;
	line-height: 45px;
	color: #182516;
	display: none;
    background: #119200;
	padding: 0 15px;
	border-radius: 3px;
}

.formulario__mensaje-exito-activo {
	display: block;
}

@media screen and (max-width: 800px) {
	.formulario {
		grid-template-columns: 1fr;
	}

	.formulario__grupo-terminos, 
	.formulario__mensaje,
	.formulario__grupo-btn-enviar {
		grid-column: 1;
	}

	.formulario__btn {
		width: 100%;
	}
}
